## com.sun.jersey.api.model
Class AbstractSubResourceMethod

    java.lang.Object
      com.sun.jersey.api.model.AbstractMethod
          com.sun.jersey.api.model.AbstractResourceMethod
              com.sun.jersey.api.model.AbstractSubResourceMethod

All Implemented Interfaces:
  AbstractModelComponent, Parameterized, PathAnnotated, java.lang.reflect.AnnotatedElement

    public class AbstractSubResourceMethod

extends AbstractResourceMethod
implements PathAnnotated

Author:
  mh124079

Constructor Summary
`AbstractSubResourceMethod(AbstractResource resource, java.lang.reflect.Method method, java.lang.Class returnType, java.lang.reflect.Type genericReturnType, PathValue uriPath, java.lang.String httpMethod, java.lang.annotation.Annotation[] annotations)`

Method Summary
`void` | `accept(AbstractModelVisitor visitor)`
`PathValue` | `getPath()`
`java.lang.String` | `toString()`

Methods inherited from class com.sun.jersey.api.model.AbstractResourceMethod
`areInputTypesDeclared, areOutputTypesDeclared, getComponents, getDeclaringResource, getGenericReturnType, getHttpMethod, getParameters, getReturnType, getSupportedInputTypes, getSupportedOutputTypes, hasEntity, setAreInputTypesDeclared, setAreOutputTypesDeclared`

Methods inherited from class com.sun.jersey.api.model.AbstractMethod
`getAnnotation, getAnnotations, getDeclaredAnnotations, getMethod, getResource, isAnnotationPresent`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### AbstractSubResourceMethod

    public AbstractSubResourceMethod(AbstractResource resource,
                                     java.lang.reflect.Method method,
                                     java.lang.Class returnType,
                                     java.lang.reflect.Type genericReturnType,
                                     PathValue uriPath,
                                     java.lang.String httpMethod,
                                     java.lang.annotation.Annotation[] annotations)

Method Detail

### getPath

    public PathValue getPath()

  Specified by:
    `getPath` in interface `PathAnnotated`

### accept

    public void accept(AbstractModelVisitor visitor)

  Specified by:
    `accept` in interface `AbstractModelComponent`
  Overrides:
    `accept` in class `AbstractResourceMethod`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `AbstractResourceMethod`

Copyright © 2017 Oracle Corporation. All Rights Reserved.